diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/data/Chunk.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/data/ViewerChunk.java
similarity index 88%
rename from util/seed-viewer/src/main/java/org/useless/seedviewer/data/Chunk.java
rename to util/seed-viewer/src/main/java/org/useless/seedviewer/data/ViewerChunk.java
index 96529440a..5ba550a6d 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/data/Chunk.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/data/ViewerChunk.java
@@ -4,11 +4,11 @@ import net.minecraft.core.world.chunk.ChunkSection;
 import org.useless.seedviewer.collections.ChunkPos2D;
 import org.useless.seedviewer.collections.ChunkPos3D;
 
-public interface Chunk {
+public interface ViewerChunk {
     int CHUNK_SIZE_X = net.minecraft.core.world.chunk.Chunk.CHUNK_SIZE_X;
     int CHUNK_SIZE_Y = net.minecraft.core.world.chunk.Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y;
     int CHUNK_SIZE_Z = net.minecraft.core.world.chunk.Chunk.CHUNK_SIZE_Z;
-    Biome getBiome(ChunkPos3D pos);
+    ViewerBiome getBiome(ChunkPos3D pos);
     int getBlockColor(ChunkPos3D pos);
     int getHeight(ChunkPos2D pos);
     int getWaterDepth(ChunkPos2D pos);
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/data/World.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/data/ViewerWorld.java
similarity index 88%
rename from util/seed-viewer/src/main/java/org/useless/seedviewer/data/World.java
rename to util/seed-viewer/src/main/java/org/useless/seedviewer/data/ViewerWorld.java
index 0bfb5c442..ff311b26f 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/data/World.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/data/ViewerWorld.java
@@ -4,7 +4,7 @@ import org.useless.seedviewer.gui.ChunkProvider;
 
 import java.io.File;
 
-public interface World {
+public interface ViewerWorld {
     File getFolder();
     long getSeed();
     String getName();
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java
index 7466f61b1..4df3aba89 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java
@@ -1,8 +1,8 @@
 package org.useless.seedviewer.gui;
 
 import org.useless.seedviewer.collections.ChunkLocation;
-import org.useless.seedviewer.data.Chunk;
+import org.useless.seedviewer.data.ViewerChunk;
 
 public interface ChunkProvider {
-    Chunk getChunk(ChunkLocation location);
+    ViewerChunk getChunk(ChunkLocation location);
 }
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkView.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkView.java
index d9d3a667b..d4a0bd9fc 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkView.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/ChunkView.java
@@ -5,8 +5,8 @@ import org.slf4j.Logger;
 import org.useless.seedviewer.collections.ChunkLocation;
 import org.useless.seedviewer.collections.ChunkPos2D;
 import org.useless.seedviewer.collections.ChunkPos3D;
-import org.useless.seedviewer.data.Biome;
-import org.useless.seedviewer.data.Chunk;
+import org.useless.seedviewer.data.ViewerBiome;
+import org.useless.seedviewer.data.ViewerChunk;
 import org.useless.seedviewer.gui.components.Viewport;
 
 import java.awt.*;
@@ -20,10 +20,10 @@ public class ChunkView {
     private static final ExecutorService InitializerService = Executors.newFixedThreadPool(10);
     private static final ExecutorService PostProcessorService = Executors.newFixedThreadPool(10);
 
-    private final BufferedImage biomeMapImage = new BufferedImage(Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
-    private final BufferedImage terrainMapImage = new BufferedImage(Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
-    private final BufferedImage heightMapImage = new BufferedImage(Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
-    private final BufferedImage waterDepthMapImage = new BufferedImage(Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
+    private final BufferedImage biomeMapImage = new BufferedImage(ViewerChunk.CHUNK_SIZE_X, ViewerChunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
+    private final BufferedImage terrainMapImage = new BufferedImage(ViewerChunk.CHUNK_SIZE_X, ViewerChunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
+    private final BufferedImage heightMapImage = new BufferedImage(ViewerChunk.CHUNK_SIZE_X, ViewerChunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
+    private final BufferedImage waterDepthMapImage = new BufferedImage(ViewerChunk.CHUNK_SIZE_X, ViewerChunk.CHUNK_SIZE_Z, BufferedImage.TYPE_INT_ARGB);
 
     private final Rectangle bounds;
     private final ChunkLocation location;
@@ -42,15 +42,15 @@ public class ChunkView {
         this.viewport = viewport;
         this.location = location;
         this.provider = provider;
-        this.bounds = new Rectangle(location.x * Chunk.CHUNK_SIZE_X, location.z * Chunk.CHUNK_SIZE_Z, Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SIZE_Z);
+        this.bounds = new Rectangle(location.x * ViewerChunk.CHUNK_SIZE_X, location.z * ViewerChunk.CHUNK_SIZE_Z, ViewerChunk.CHUNK_SIZE_X, ViewerChunk.CHUNK_SIZE_Z);
 
         loadTask = InitializerService.submit(
             () -> {
                 try {
-                    Chunk chunk = provider.getChunk(location);
+                    ViewerChunk chunk = provider.getChunk(location);
 
-                    for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
-                        for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+                    for (int x = 0; x < ViewerChunk.CHUNK_SIZE_X; x++) {
+                        for (int z = 0; z < ViewerChunk.CHUNK_SIZE_Z; z++) {
                             ChunkPos2D pos2D = new ChunkPos2D(x, z);
                             int h = chunk.getHeight(pos2D) - 1;
                             if (h < 0) h = 0;
@@ -59,7 +59,7 @@ public class ChunkView {
                             int wd = chunk.getWaterDepth(pos2D) & 0xFF;
                             waterDepthMapImage.setRGB(x, z, 0xFF_00_00_00 | wd << 16 | wd << 8 | wd);
 
-                            Biome b = chunk.getBiome(new ChunkPos3D(x, h, z));
+                            ViewerBiome b = chunk.getBiome(new ChunkPos3D(x, h, z));
                             biomeMapImage.setRGB(x, z, b.getColor() | 0x80_00_00_00);
 
                             terrainMapImage.setRGB(x, z, chunk.getBlockColor(new ChunkPos3D(x, h, z)));
@@ -88,8 +88,8 @@ public class ChunkView {
         synchronized (this) {
             processTask = PostProcessorService.submit(() -> {
                 try {
-                    for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
-                        for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+                    for (int x = 0; x < ViewerChunk.CHUNK_SIZE_X; x++) {
+                        for (int z = 0; z < ViewerChunk.CHUNK_SIZE_Z; z++) {
                             int depth = waterDepthMapImage.getRGB(x, z) & 0xFF;
 
                             int shade;
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java
index 544ad9860..30a7b6bdf 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java
@@ -1,7 +1,7 @@
 package org.useless.seedviewer.gui.components;
 
 import net.minecraft.core.Global;
-import org.useless.seedviewer.data.Biome;
+import org.useless.seedviewer.data.ViewerBiome;
 import org.useless.seedviewer.gui.SeedViewer;
 
 import javax.swing.*;
@@ -60,7 +60,7 @@ public class InfoPanel extends JPanel {
         viewLabel.setSize(0, textHeight);
         seedViewer.viewport.viewX.addChangeListener(newValue -> viewLabel.setText(String.format("View: X:%.2f, Z:%.2f", seedViewer.viewport.viewX.get(), -seedViewer.viewport.viewZ.get())));
         seedViewer.viewport.viewX.addChangeListener(newValue -> {
-            Biome b = seedViewer.viewport.getHoveredBiome();
+            ViewerBiome b = seedViewer.viewport.getHoveredBiome();
             if (b == null) {
                 biomeLabel.setText("Biome: null");
             } else {
@@ -69,7 +69,7 @@ public class InfoPanel extends JPanel {
         });
         seedViewer.viewport.viewZ.addChangeListener(newValue -> viewLabel.setText(String.format("View: X:%.2f, Z:%.2f", seedViewer.viewport.viewX.get(), -seedViewer.viewport.viewZ.get())));
         seedViewer.viewport.viewZ.addChangeListener(newValue -> {
-            Biome b = seedViewer.viewport.getHoveredBiome();
+            ViewerBiome b = seedViewer.viewport.getHoveredBiome();
             if (b == null) {
                 biomeLabel.setText("Biome: null");
             } else {
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java
index 5647806fc..89ef13929 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java
@@ -8,9 +8,9 @@ import org.useless.seedviewer.collections.ChunkLocation;
 import org.useless.seedviewer.collections.ChunkPos2D;
 import org.useless.seedviewer.collections.ChunkPos3D;
 import org.useless.seedviewer.collections.ObjectWrapper;
-import org.useless.seedviewer.data.Biome;
-import org.useless.seedviewer.data.Chunk;
-import org.useless.seedviewer.data.World;
+import org.useless.seedviewer.data.ViewerBiome;
+import org.useless.seedviewer.data.ViewerChunk;
+import org.useless.seedviewer.data.ViewerWorld;
 import org.useless.seedviewer.gui.ChunkProvider;
 import org.useless.seedviewer.gui.ChunkView;
 import org.useless.seedviewer.gui.SeedViewer;
@@ -54,7 +54,7 @@ public class Viewport extends JLabel {
 
     public ChunkProvider chunkProvider = new TestChunkProvider();
     public final ObjectWrapper<@NotNull Long> seed = new ObjectWrapper<>(100L);
-    public final ObjectWrapper<@Nullable World> world = new ObjectWrapper<>(null);
+    public final ObjectWrapper<@Nullable ViewerWorld> world = new ObjectWrapper<>(null);
 
     public final ObjectWrapper<@NotNull Float> zoom = new ObjectWrapper<>(1F);
     public final ObjectWrapper<@NotNull Float> viewX = new ObjectWrapper<>(0F);
@@ -169,10 +169,10 @@ public class Viewport extends JLabel {
 
     public synchronized void addMissingViewers(Rectangle viewportBounds) {
         ChunkLocation topLeftLocation =
-            new ChunkLocation(viewportBounds.x/ Chunk.CHUNK_SIZE_X,
-                viewportBounds.y/Chunk.CHUNK_SIZE_Z);
-        int chunksX = viewportBounds.width/Chunk.CHUNK_SIZE_X;
-        int chunksZ = viewportBounds.height/Chunk.CHUNK_SIZE_Z;
+            new ChunkLocation(viewportBounds.x/ ViewerChunk.CHUNK_SIZE_X,
+                viewportBounds.y/ ViewerChunk.CHUNK_SIZE_Z);
+        int chunksX = viewportBounds.width/ ViewerChunk.CHUNK_SIZE_X;
+        int chunksZ = viewportBounds.height/ ViewerChunk.CHUNK_SIZE_Z;
 
         List<ChunkLocation> pendingLocation = new ArrayList<>();
         for (int _x = topLeftLocation.x; _x < topLeftLocation.x + chunksX; _x++) {
@@ -183,7 +183,7 @@ public class Viewport extends JLabel {
             }
         }
         pendingLocation.sort((o1, o2) -> {
-            ChunkLocation viewLoc = new ChunkLocation((int) Math.floor(viewX.get()/ Chunk.CHUNK_SIZE_X), (int) Math.floor(-viewZ.get()/ Chunk.CHUNK_SIZE_Z));
+            ChunkLocation viewLoc = new ChunkLocation((int) Math.floor(viewX.get()/ ViewerChunk.CHUNK_SIZE_X), (int) Math.floor(-viewZ.get()/ ViewerChunk.CHUNK_SIZE_Z));
             int d1;
             {
                 int dx = o1.x - viewLoc.x;
@@ -236,7 +236,7 @@ public class Viewport extends JLabel {
         final int blockZ = (int) Math.floor((-viewZ.get() - (getHeight()/(zoom.get() * 2))));
         final int widthBlocks = (int) Math.ceil((getWidth()/zoom.get()));
         final int heightBlocks = (int) Math.ceil((getHeight()/zoom.get()));
-        return new Rectangle(blockX - (Chunk.CHUNK_SIZE_X * VIEWPORT_CHUNKS_OVERSCAN), blockZ - (Chunk.CHUNK_SIZE_Z * VIEWPORT_CHUNKS_OVERSCAN), widthBlocks + Chunk.CHUNK_SIZE_X * (VIEWPORT_CHUNKS_OVERSCAN * 2 + 1), heightBlocks + Chunk.CHUNK_SIZE_Z * (VIEWPORT_CHUNKS_OVERSCAN * 2 + 1));
+        return new Rectangle(blockX - (ViewerChunk.CHUNK_SIZE_X * VIEWPORT_CHUNKS_OVERSCAN), blockZ - (ViewerChunk.CHUNK_SIZE_Z * VIEWPORT_CHUNKS_OVERSCAN), widthBlocks + ViewerChunk.CHUNK_SIZE_X * (VIEWPORT_CHUNKS_OVERSCAN * 2 + 1), heightBlocks + ViewerChunk.CHUNK_SIZE_Z * (VIEWPORT_CHUNKS_OVERSCAN * 2 + 1));
     }
 
     public synchronized void offsetZoom(float delta) {
@@ -281,10 +281,10 @@ public class Viewport extends JLabel {
     }
 
     private ChunkLocation lastHoveredLocation = null;
-    private Chunk lastHoveredChunk = null;
-    public synchronized Biome getHoveredBiome() {
-        ChunkLocation chunkLocation = new ChunkLocation((int) Math.floor(viewX.get()/ Chunk.CHUNK_SIZE_X), (int) Math.floor(-viewZ.get()/ Chunk.CHUNK_SIZE_Z));
-        Chunk chunk;
+    private ViewerChunk lastHoveredChunk = null;
+    public synchronized ViewerBiome getHoveredBiome() {
+        ChunkLocation chunkLocation = new ChunkLocation((int) Math.floor(viewX.get()/ ViewerChunk.CHUNK_SIZE_X), (int) Math.floor(-viewZ.get()/ ViewerChunk.CHUNK_SIZE_Z));
+        ViewerChunk chunk;
         if (lastHoveredLocation != null && lastHoveredChunk != null && lastHoveredLocation.equals(chunkLocation)) {
             chunk = lastHoveredChunk;
         } else {
@@ -292,7 +292,7 @@ public class Viewport extends JLabel {
             lastHoveredChunk = chunk;
             lastHoveredLocation = chunkLocation;
         }
-        ChunkPos2D c2D = new ChunkPos2D(((int) Math.floor(viewX.get())) - chunkLocation.x * Chunk.CHUNK_SIZE_X, ((int) Math.floor(-viewZ.get())) - chunkLocation.z * Chunk.CHUNK_SIZE_Z);
+        ChunkPos2D c2D = new ChunkPos2D(((int) Math.floor(viewX.get())) - chunkLocation.x * ViewerChunk.CHUNK_SIZE_X, ((int) Math.floor(-viewZ.get())) - chunkLocation.z * ViewerChunk.CHUNK_SIZE_Z);
         return chunk.getBiome(new ChunkPos3D(c2D.x, chunk.getHeight(c2D), c2D.z));
     }
 
@@ -311,13 +311,13 @@ public class Viewport extends JLabel {
             long seed = world.get() == null ? this.seed.get() : world.get().getSeed();
             for (ChunkView view : chunkViewMap.values()) {
                 if (!viewportBounds.intersects(view.getWorldBounds())) continue;
-                int blockX = view.getLocation().x * Chunk.CHUNK_SIZE_X;
-                int blockZ = view.getLocation().z * Chunk.CHUNK_SIZE_Z;
+                int blockX = view.getLocation().x * ViewerChunk.CHUNK_SIZE_X;
+                int blockZ = view.getLocation().z * ViewerChunk.CHUNK_SIZE_Z;
 
                 int subImgX = (int) Math.floor((blockX - viewX.get()) * zoom.get() + getWidth()/2d);
                 int subImgZ = (int) Math.floor((blockZ + viewZ.get()) * zoom.get() + getHeight()/2d);
-                int subImgWidth = (int) Math.floor(Chunk.CHUNK_SIZE_X * zoom.get());
-                int subImgHeight = (int) Math.floor(Chunk.CHUNK_SIZE_Z * zoom.get());
+                int subImgWidth = (int) Math.floor(ViewerChunk.CHUNK_SIZE_X * zoom.get());
+                int subImgHeight = (int) Math.floor(ViewerChunk.CHUNK_SIZE_Z * zoom.get());
                 if (showTerrain.get() && world.get() != null) {
                     g.drawImage(view.getTerrainMapImage(),
                         subImgX,
@@ -357,21 +357,21 @@ public class Viewport extends JLabel {
                 }
             }
             if (showChunkBorders.get()) {
-                int leftChunk = viewportBounds.x / Chunk.CHUNK_SIZE_X;
-                int widthChunks = viewportBounds.width / Chunk.CHUNK_SIZE_X;
-                int topChunk = viewportBounds.y / Chunk.CHUNK_SIZE_Z;
-                int heightChunks = viewportBounds.height / Chunk.CHUNK_SIZE_Z;
+                int leftChunk = viewportBounds.x / ViewerChunk.CHUNK_SIZE_X;
+                int widthChunks = viewportBounds.width / ViewerChunk.CHUNK_SIZE_X;
+                int topChunk = viewportBounds.y / ViewerChunk.CHUNK_SIZE_Z;
+                int heightChunks = viewportBounds.height / ViewerChunk.CHUNK_SIZE_Z;
 
                 Graphics gBorders = g.create();
                 gBorders.setColor(new Color(0, 0, 0, 64));
                 for (int _x = leftChunk; _x <= leftChunk + widthChunks; _x++) {
-                    float blockX = (_x * Chunk.CHUNK_SIZE_X);
+                    float blockX = (_x * ViewerChunk.CHUNK_SIZE_X);
                     int subImgX = (int) Math.floor((blockX - viewX.get()) * zoom.get() + getWidth()/2d);
 
                     gBorders.drawLine(subImgX, 0, subImgX, getHeight());
                 }
                 for (int _z = topChunk; _z < topChunk + heightChunks; _z++) {
-                    float blockZ = (_z * Chunk.CHUNK_SIZE_Z);
+                    float blockZ = (_z * ViewerChunk.CHUNK_SIZE_Z);
                     int subImgZ = (int) Math.floor((blockZ + viewZ.get()) * zoom.get() + getHeight()/2d);
 
                     gBorders.drawLine(0, subImgZ, getWidth(), subImgZ);
diff --git a/util/seed-viewer/src/test/java/collections/ChunkPosTest.java b/util/seed-viewer/src/test/java/collections/ChunkPosTest.java
index 206d4f19b..8b5755cde 100644
--- a/util/seed-viewer/src/test/java/collections/ChunkPosTest.java
+++ b/util/seed-viewer/src/test/java/collections/ChunkPosTest.java
@@ -5,14 +5,14 @@ import org.junit.jupiter.api.DisplayName;
 import org.junit.jupiter.api.Test;
 import org.useless.seedviewer.collections.ChunkPos2D;
 import org.useless.seedviewer.collections.ChunkPos3D;
-import org.useless.seedviewer.data.Chunk;
+import org.useless.seedviewer.data.ViewerChunk;
 
 public class ChunkPosTest {
     @Test
     @DisplayName("Test Valid ChunkPos2D")
     void validChunkPos2D() {
-        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
-            for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+        for (int x = 0; x < ViewerChunk.CHUNK_SIZE_X; x++) {
+            for (int z = 0; z < ViewerChunk.CHUNK_SIZE_Z; z++) {
                 ChunkPos2D chunkPos2D_1 = new ChunkPos2D(x, z);
                 Assertions.assertEquals(chunkPos2D_1.x, x);
                 Assertions.assertEquals(chunkPos2D_1.z, z);
@@ -42,9 +42,9 @@ public class ChunkPosTest {
     @Test
     @DisplayName("Test Valid ChunkPos3D")
     void validChunkPos3D() {
-        for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
-            for (int y = 0; y < Chunk.CHUNK_SIZE_Y; y++) {
-                for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
+        for (int x = 0; x < ViewerChunk.CHUNK_SIZE_X; x++) {
+            for (int y = 0; y < ViewerChunk.CHUNK_SIZE_Y; y++) {
+                for (int z = 0; z < ViewerChunk.CHUNK_SIZE_Z; z++) {
                     ChunkPos3D chunkPos3D_1 = new ChunkPos3D(x, y, z);
                     Assertions.assertEquals(chunkPos3D_1.x, x);
                     Assertions.assertEquals(chunkPos3D_1.y, y);
